% StimSelect Change Log
%
% 6 September 2013 - AGLSS0_7c
%   Potential G and NG items can be specified explicitly to AGLSS instead
%   of using a grammar. This provides more control of the NG items.
%
% 3 September 2013 - AGLSS0_7b
%   New AGLSS/choose_more_items method allows multiple rounds of stimulus
%   selection. This is especially useful if it is necessary to choose at
%   least two new training items for every test item (e.g. if there are at
%   least two test sets that require familiar items).
%
%   Fixed bug in add_test_items.m that permanently excluded items once
%   identified as dynamic exclusions. This meant that the familiarity
%   factor could not draw on a growing list of training items on subsequent
%   rounds.
%
%   Fixed error "Reference to non-existent field" in testset_newtrain.m,
%   caused by new familiarity factor when combined with another factor like
%   chunk strength.
%
%   Fixed bug in isgrammatical.m that would allow strings that were
%   entirely parsed even if they did not reach a valid end state.
%
% 2 September 2013 - AGLSS0_7
%   Gram_factor now allows a particular grammar to be specified.
%   Fam_factor has been added, to allow test sets of Old vs New items.
%   Choose_items has an additional optional parameter to specify whether
%     training items are eligible to be included in test sets.
%
% 29 July 10 - AGLSS0_6c
%   Fixed error "Undefined function or method 'ctranspose' for input
%   arguments of type 'function_handle'." in chstr_factor.m, caused
%   by change in Matlab versions from 2009 onwards.
%
% 28 June 10 - AGLSS0_6b
%   Fixed bug in generating potential NG items when space of relevant
%   items is very large.  The only file affected is itemset_init.
%
% 4 Sept 07 - AGLSS0_6
%   Added license text to all files.
%   Included missing strleg.m in lib/.
%
% 20 Dec 06
%   Finished working on v0.4, which is incomplete.
%   Further work is on v0.5.
%
%   Developing object-oriented user interface, with AGLSS class, and
%   others.
%
%   Chunk strength re-defined to be independent of changes to the number of
%   novel items.  The new definition of a chunk's strength is the ratio of
%   actual to expected frequency of a chunk within the training items,
%   where the expected frequency is the total number of chunks in the
%   training items divided by the number of distinct chunks not targeted
%   for zero frequency.  The normalized chunk strength of an item is a
%   sigmoidal function of the average chunk strength of its chunks.
%   Specifically, item_chstr = mean_chstr / (1 + mean_chstr).
%
% 8 Dec 06
%   Deleted testset_sim_newtrain_func.m, which was not being used anyway.
%
% 21 Nov 06
%   New library functions, randrow.m, strleg.m, @cell/ismember_sorted,
%   @cell/union_sorted
%
%   Modified itemset_init.m to handle the large numbers of strings that
%   must be considered to find ungrammatical items if the symbol set is
%   even moderately large
%
% 9 Nov 06
%   Fixed reber_grammar.m to include looping 'R' link.
%
%   Renamed '0 AGL StimSelect Sample.m' to 'StimSelect_sample.m' to
%   eliminate space characters that confuse dependency reports, etc.
%
%   Moved computation of item chunk frequencies and possible chunks into
%   itemset_init.m, thereby simplifying StimSelect_sample.m.
%
%   Modified 'AGL Stimulus Selection 2.doc' to reflect simplified
%   StimSelect_sample.m described above.
%
% 8 Nov 06
%   Added knowlton_squire_grammar.m, which defines the grammar used by
%   Knowlton & Squire (1996, Exp. 1). [TMB]
%
%   Added reber_grammar.m, which defines a deterministic grammar that
%   generates the same language as the nondeterministic grammar used by
%   Reber (19xx). [TMB]
%
%   Modified pothos_bailey_grammar.m to use knowlton_squire_grammar().
%   [TMB]
%
%   Added comments on how to define an FSG to the documentation (AGL
%   Stimulus Selection 2.doc).
