%% Welcome to StimSelect
% The main use of StimSelect is to identify training and test items for an
% artificial grammar learning (AGL) study. See <using_stimselect.html> for
% an introduction to using StimSelect. 
%
% StimSelect can also compute characteristics of existing stimulus sets
% (see <prior_stimuli_sample.html>).

%% What's new in v0_7c?
% As of 6 September 2013 (AGLSS0_7c), potential G and NG items can be
% specified explicitly to AGLSS instead of using a grammar. This often
% means that StimSelect can work with the full set of potential items of
% interest instead of working with a random sample from a large set of
% unconstrained NG symbol strings. Also, with a more specific set of
% potential items, |choose_items| can be much faster. See
% <using_stimselect.html#2>. 

%% What's new in v0_7b?
% As of 3 September 2013 (AGLSS0_7b) a new |choose_more_items| method
% allows multiple rounds of stimulus selection. This is especially useful
% if it is necessary to choose at least two new training items for every
% test item (e.g. if there are at least two test sets that require familiar
% items). See <using_stimselect.html#5>.
%
% In addition, the following bugs were fixed:
%
% * |add_test_items.m| permanently excluded items once they were identified
% as dynamic exclusions. This meant that the familiarity factor could not
% draw on a growing list of training items on subsequent rounds.
%
% * "Reference to non-existent field" error in |testset_newtrain.m|, caused
% by new familiarity factor when combined with another factor like chunk
% strength.
%
% * |isgrammatical.m| allowed strings that were entirely parsed even if
% they did not reach a valid end state.

%% What's new in v0_7?
% From 2 September 2013 (AGLSS0_7)
%
% * |gram_factor| allows a particular grammar to be specified. See
% <gram_factor.html>.
%
% * |fam_factor| has been added, to allow test sets of Old vs New items.
% See <fam_factor.html>.
%
% * Choose_items has an additional optional parameter to specify whether
% training items are eligible to be included in test sets. See
% <using_stimselect.html#5>.

%% Previous changes
% See |ChangeLog.m| for information on previous changes to StimSelect.
