% @FSG  Finite State Grammar
%
% This directory has functions that support Finite State Grammar objects.
%
% 
%
% Files
%   fsg                 - Make a finite state grammar object
%
%   display             - Display a FSG object
%
%   n_links             - Get number of transitions in finite state grammar
%   n_states            - Get number of states in finite state grammar
%   n_symbols           - Get the number of symbols valid for a FSG
%   symbols             - Get or set symbols valid for a finite state grammar
%
%   add_state           - Add a new state to finite state grammar
%   delete_state        - Delete one or more states from finite state grammar
%   link                - Get/set links from one state to another for given symbol(s)
%
%   add_known_strings   - Add a string that has been parsed from a state
%   find_known_string   - Find FSG states that know a given string
%   grammatical_strings - Generate grammatical strings for a FSG
%   isgrammatical       - Test whether strings are grammatical
%   known_strings       - Set/get strings that have been parsed from a state
%   parse_items         - OBSOLETE Attempt to parse array of strings with a FSG
%   parse_string        - Attempt to parse a string with a finite state grammar
%   parse_symbol        - Attempt to parse a given symbol by finite state grammar
%   reset_state         - Reset internal state of FSG f
%   start               - Initialize a finite state grammar to the start state
%   start_state         - Returns the start state for a FSG object
%   state               - Get or set the current state of a finite state grammar
%   upstream_states     - Get/set stored list of states upstream of given state

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.
