function [s, f] = add_known_string(f, state, s);
% ADD_KNOWN_STRINGS     Add a string that has been parsed from a state
%
% f should be a FSG
% state should be a scalar state index 
%
% s can be a cellstr or a character array

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

if state > length(f.known_strings),
    f.known_strings{state} = {};
end
f.known_strings{state} = union(f.known_strings{state}, cellstr(s));
