function [s, f] = add_state( f )
% ADD_STATE     Add a new state to finite state grammar
%
% [s, newf] = add_state( f )
%
% Returns the number of the new state, and the new FSG.

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

s = n_states(f) + 1;
k = n_symbols(f);

f.links(s,:) = zeros(1,k);
[nil, f] = upstream_states(f, s, []);

% f = reset_state(f);
return