function display( f );
% DISPLAY   Display a FSG object
%
% DISPLAY( fsg )
%
% SEE ALSO: fsg()

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

[n,m] = size(f.links);
states = reshape(repmat(1:n,m,1), [], 1);
symbols = reshape(repmat(1:m,1,n), [], 1);
links = reshape(f.links', [], 1);
disp('  State   Symbol  NextState');
disp( [states, symbols, links] );
disp(['CurState = ', int2str(f.state)]);
disp(strcat('Prefix = "', f.prefix, '"'));
return