function s = find_known_string(f, string);
% FIND_KNOWN_STRING     Find FSG states that know a given string
%
% state = find_known_string(f, string)
%
% string can be either a char or a cellstr
%
% returns all such states (1..n), or [] if not found

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

s = [];
for i = 1:n_states(f),
    if ismember(string, known_strings(f, i)),
        s = [s; i];
    end
end
