function s_index = symbol_index( f, x );
% SYMBOL_INDEX  Convert symbol characters or indices to indices
%
%   As a special case, '.' or '' represents end-of-string

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
%   1.2  2007/09/17 13:15:44

if ischar(x),
    if isempty(x),
        s_index = 1;    % end-of-string symbol
    else
        syms = ['.' f.symbols]; % include end-of-string
        n_syms = length(syms);
        smap(syms) = 1:n_syms;  % map from symbol letters to indexes 1:N
        
        sym_max = max(syms);
        x_trim = min(x, sym_max);   % avoid too-large index below
        s_index = smap(x_trim);

        if any(x > sym_max) || any(s_index < 1)
            error( 'Attempt to use invalid symbol for FSG' );
        end
        
% %         s_index = [];
% %         for c = x,
% %             posn = strfind( f.symbols, c );
% %             if isempty(posn),
% %                 error( 'Attempt to use invalid symbol for FSG' );
% %             else
% %                 s_index(end+1) = posn(1) + 1;
% %             end
% %         end
    end
else
    s_index = x;
end
