function C = cum_nchoosek(n, k)
% CUM_NCHOOSEK  Cumulative nchoosek
%
% C = CUMNCHOOSEK(N, K) returns the sum of nchoosek(n, i), for 0 <= i <= k.
%   N and K should be nonnegative integers.

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

persistent lookuptab;   % Store results once computed

[n_rows, n_cols] = size(lookuptab);
if n < n_rows && k < n_cols,
    C = lookuptab(n+1, k+1);
else
    C = 0;
end

if ~C,
    C = 0;
    for i = 0:k,
        C = C + nchoosek(n, i);
    end
    lookuptab(n+1, k+1) = C;    % Save value for next time
end