function m = randrow( mat, n_rows )
% RANDROW - Return random rows of a 2D matrix
%
% RANDROW(MAT)
%   Returns a random row of a 2D matrix MAT.
%
% RANDROW(MAT, N)
%   Returns N random rows from MAT.

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

if nargin < 2,
    n_rows = 1;
end

dimsize = size(mat, 1);
randidx = randsample(dimsize, n_rows);
m = mat(randidx, :);

end
