function gtlteq = strleg(s1,s2)
% STRLEG - Compare two strings to identify their sort order
%
% STRLEG(S1,S2) returns -1, 0, or 1 according to whether string S1 is
% less than, equal to, or greater than string S2.

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

l1 = length(s1);
l2 = length(s2);
if l1 <= l2,
    lmin = l1;
    shortL1 = true;
    s2(lmin+1:end) = [];
else
    lmin = l2;
    shortL1 = false;
    s1(lmin+1:end) = [];
end
ne = find(s1 ~= s2, 1);
if isempty(ne),
    if l1 == l2,
        gtlteq = 0;
    else
        if shortL1,
            gtlteq = -1;
        else
            gtlteq = 1;
        end
    end
else
    if s1(ne) < s2(ne)
        gtlteq = -1;
    else
        gtlteq = 1;
    end
end
end
