function str = format_train_items(s)
% AGLSS/FORMAT_TRAIN_ITEMS - Format AGL training items for printout
%
% FORMAT_TRAIN_ITEMS(aglss)
%   Returns a string describing training items contained in an AGLSS
%   object.  The training items must have already been chosen by a prior
%   call to CHOOSE_ITEMS.
%
% SEE ALSO: choose_items, format_train_items, format_test_items

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

if isempty(s.train),
    error('StimSelect:NoTrainItems', ...
        'No training items -- use CHOOSE_ITEMS to select training and test items');
else
    str = format_train_items(s.train, s.items);
end

end
