function n = itemnames(s, idx)
% AGLSS/ITEMNAMES - Return names of potential items
%
% ITEMNAMES(aglss) returns the names of all potential items
%
% ITEMNAMES(aglss, IDX) returns the subset indexed by IDX
%
% The return value is a cell array of strings

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

if isempty(s.items) || isempty(s.items.item),
    n = {};
elseif nargin < 2,
    n = {s.items.item.name};
else
    n = {s.items.item(idx).name};
end

end
