function f = factor( fset, fname, fval )
% FACTORSET/FACTOR - Get or set a named factor in a factorset object
%
% FACTOR(fset)                  Get struct array of all factors
% FACTOR(fset, 'factor')        Get named factor
% FACTOR(fset, 'factor', fdef)  Set named factor (change or add)

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

switch nargin
    case 1,
        f = fset.factors;
    case 2,
        f = fset.factors.(fname);
    case 3,
        f = fset;
        f.factors.(fname) = fval;
end

end
