function items = item_chstr_update(items, fname, train, newtrain)
% item_chstr_update - update item chunk strength
%
% A = item_chstr_update(A, 'factor', T, I) updates items A 
% to reflect the addition of items I to the training set T.  
%
% This function assumes that T.chfreq has already been updated.
%
% I is not used.

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

chStr = chunkstrength(items, train.chfreq, train.n_chunks_avail);
chStr = mean(chStr(:, 2:end), 2);  % ignore unigrams

items = item_val(items, fname, chStr);

end


