function tgtNames = make_level_names(base, n)
% MAKE_LEVEL_NAMES - Make unique names for levels of a factor
%
% MAKE_LEVEL_NAMES('basename', N)

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

if n < 1,
    error('StimSelect:make_level_names:tooFew', ...
        'Number of level names must be at least 1');
end
switch n,
    case 1,
        tgtNames = {base};
    case 2,
        tgtNames = {['Low', base]; ['High', base]};
    otherwise,
        tgtNames = cell(n, 1);
        for i = 1:n,
            tgtNames{i} = sprintf([base, '%d'], i);
        end
end

end
