function g = testset_sim_fit(testset, testset_idx)
% testset_sim_fit - Compute goodness of fit for test set similarity to
% training
%
% testset_sim_fit(S) returns a goodness of fit statistic for test set S,
% based on pre-computed similarity for S and its target value
% S.simTgt.
%
% Similarity values should be in the range 0-1.

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

% % if isempty(testset.sim_scalefunc),
% %     obs = testset.sim;
% %     pred = testset.simTgt .* ones(size(obs));
% % else
% %     % Transform to normalized scale, but call scaling func only once for
% %     % speed
% %     x = testset.sim_scalefunc([testset.simTgt, testset.sim]);
% %     obs = x(2:end);
% %     pred = x(1) .* ones(size(obs));
% % %     obs = testset.sim_scalefunc(testset.sim);
% % %     pred = testset.sim_scalefunc(testset.simTgt) .* (1 + 0.*obs);
% % end
% % g = testset.simWt .* likelihoodchi2([obs 1-obs], [pred 1-pred]);

g = testset.sim_fit;

end