function testset = testset_sim_newtest(testset, testitems, ...
    newitem, train, testset_idx)
% testset_sim_newtest - Updates similarity for adding a new test item
%
% S = testset_sim_newtest(S, M, J, T)
%
% S is the current test set structure (excluding the new item).
% M is a structure array of test set items (excluding the new item).
% J is the new item about to be added to the test set.
% T is the training set structure, after adding the new item.
% X is the index of S within the whole list of test sets.
%
% Average similarity for the new item is added to the testset's similarity
% vector.

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

if ~isempty(newitem.sim),
    % newitem.sim is 1 x n_trainitems in size
    testset.factors.Sim.val(end+1) = mean(newitem.sim);

    % newitem.sim_fit is 1 x n_testsets in size
    testset.factors.Sim.fit = testset.factors.Sim.fit + ...
        newitem.sim_fit(testset_idx);
end
end