function g = knowlton_squire_grammar()
%% knowlton_squire_grammar    FSG for Knowlton & Squire (1996, Exp. 1)
%
% knowlton_squire_grammar()
%   Returns an FSG object specifying the grammar used by Knowlton & Squire
%   (1996, Exp. 1).  The same grammar was used by Pothos & Bailey (2000).

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

syms = 'JTVX';      % Symbols accepted by this grammar
n_states = 5;       % Number of states in the grammar

g = fsg([], syms, n_states);    % Create an FSG object for these symbols

% Specify links (FSG, from_state, symbols, to_states)
g = link(g, 1, 'XV', [1 2]);
g = link(g, 2, 'JXT', [3 4 5]);
g = link(g, 3, 'T.', [1 -1]);
g = link(g, 4, 'J.', [4 -1]);
g = link(g, 5, 'V.', [4 -1]);

return
end
