function g = xx_grammar()
% XX_GRAMMAR - Return a FSG object for grammar with many 'xx's
%
% XX_GRAMMAR()
%   Returns a grammar that generates strings of 'x's and 'y's, with many
%   'xx's.
%
% Start state (1) accepts 'x' and stays in the same state, or 'y' and
% transitions to state 2.  State 2 accepts 'x' and transitions to state 1.
% Both states can terminate.

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

g = fsg([], 'xy', 2);
[nil, g] = link(g, 1, 'xy.', [1 2 -1]);
[nil, g] = link(g, 2, 'x.', [1 -1]);

end
