function g = xy_grammar()
% XY_GRAMMAR - Return a FSG object for alternating strings of 'x' and 'y'
%
% XY_GRAMMAR()
%   Returns a grammar that generates strings 'xyxy...' or 'yxyx...', of any
%   length greater than 0.
%
% Start state (1) accepts either 'x' or 'y', transitioning to states 2 or
% 3, respectively.  Those states either terminate or accept 'y' or 'x'
% respectively and transition from one to the other.

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

g = fsg([], 'xy', 3);
[nil, g] = link(g, 1, 'xy', [2 3]);
[nil, g] = link(g, 2, 'y.', [3 -1]);
[nil, g] = link(g, 3, 'x.', [2 -1]);

end
