function items = add_item_factors(items, active_factors)
% ADD_ITEM_FACTORS - Specify factors and levels for a set of items
%
% ADD_ITEM_FACTORS(ITEMS, FACTORS)

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

if ~isfield(items, 'active_factors') || isempty(items.active_factors),
%     items.factor_names = {};
    items.active_factors = struct;
%     items.newtrain_funcs = struct;
%     items.fit_funcs = struct;
end

factor_names = fieldnames(active_factors);
for i = 1:length(factor_names),
    fname = factor_names{i};
    fdef = active_factors.(fname);
    levelnames = fdef.levelnames;
    
    if ~isfield(fdef.(levelnames{1}), 'tgt'),
        continue;   % no fit values to update for this factor (e.g. familiarity)
    end
    
% %     if ~isfield(fdef, 'f_itemval_newtrain'),
% %         % ignore factors with no work to do
% %         continue
% %     end
    
%     items.factor_names{end+1} = fname;
    
    items.active_factors.(fname) = {};
%     items.newtrain_funcs.(fname) = fdef.f_itemval_newtrain;
%     items.fit_funcs.(fname) = struct;
    
%     [items.item.(fname)] = deal(struct);
%     [items.item.(fname)] = deal(NaN);
    items.item = item_val(items.item, fname, NaN);
%     [items.item.fit.(fname)] = deal(struct);
        
    for j = 1:length(levelnames),
        levname = levelnames{j};
        items.active_factors.(fname){end+1} = levname;
%         items.fit_funcs.(fname).(levname) = fdef.(levname).f_itemfit;
        
        items.item = item_fit(items.item, fname, levname, 0);
%         [items.item.(strcat(fname, '_', levname))] = deal(0);
    end
end

end