function tf = item_isfield(item, field)
% ITEM_ISFIELD - Test whether a given item factor is defined
%
% Syntax
%   ITEM_ISFIELD(ITEM_ARRAY, 'factor_name')
%
% ITEM_VAL(ITEM_ARRAY, 'factor_name')
%   Returns TRUE if factor factor_name is defined for the item(s) in
%   ITEM_ARRAY, else FALSE. Factor_name is case insensitive.

% Copyright 2013 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

field = lower(field);
tf = isfield(item, field);
return

end